{% extends '@DemosPlanCore/DemosPlanCore/procedure.html.twig' %}

{% block demosplanbundlecontent %}

    {% include '@DemosPlanCore/DemosPlanCore/includes/base_pageheader.html.twig' with {
        heading: 'drawing.edit'|trans
    } %}

    {% set canEditMapHint = hasPermission('feature_map_hint') and templateVars.procedure.master == false %}

    {% if hasPermission('feature_map_use_plan_draw_pdf') or hasPermission('feature_map_use_plan_pdf') or canEditMapHint %}
        <form
            class="flow-root border--bottom u-pb-0_5 u-mb"
            name="planform"
            action="{{ path('DemosPlan_map_administration_gislayer',{'procedureId':procedure}) }}"
            method="post"
            enctype="multipart/form-data"
            {% if canEditMapHint %}
                data-dp-validate
                novalidate
            {% endif %}
        >
            <input
                type="hidden"
                name="action"
                value="updatePlan">
            {% if hasPermission('feature_map_use_plan_draw_pdf') or hasPermission('feature_map_use_plan_pdf') %}
                <fieldset class="u-pb layout layout--flush" id="drawingData">
                    {% if hasPermission('feature_map_use_plan_draw_pdf') %}
                        {# upload pdf #}
                        <div class="u-mb">
                            {{ fileupload( "r_planDrawPDF", "drawing"|trans, null, null, null, true) }}
                        </div>

                        {% if templateVars.procedure.settings.planDrawPDF is defined and templateVars.procedure.settings.planDrawPDF != '' %}
                            <div class="u-mb break-words">
                                <a
                                    class="o-hellip"
                                    target="_blank"
                                    rel="noopener"
                                    href="{{ path("core_file", { 'hash': templateVars.procedure.settings.planDrawPDF|getFile('hash') }) }}">
                                    {{ templateVars.procedure.settings.planDrawPDF|getFile('name') }}
                                </a>
                                <p>
                                    <input type="checkbox" name="r_planDrawDelete" value="1">
                                    {{ "delete"|trans }}
                                </p>
                            </div>

                        {% endif %}
                    {% endif %}


                    {% if hasPermission('feature_map_use_plan_pdf') %}
                        {# upload legend pdf #}
                        {{ fileupload( "r_planPDF", "drawing.explanation"|trans, null, null, null, true ) }}

                        {% if templateVars.procedure.settings.planDrawPDF is defined and templateVars.procedure.settings.planPDF != '' %}
                            <div class="u-mb break-words">
                                <a
                                    class="o-hellip"
                                    target="_blank"
                                    rel="noopener"
                                    href="{{ path("core_file", { 'hash': templateVars.procedure.settings.planPDF|getFile('hash') }) }}">
                                    {{ templateVars.procedure.settings.planPDF|getFile('name') }}
                                </a>
                                <p>
                                    <input type="checkbox" name="r_planDelete" value="1">
                                    {{ "delete"|trans }}
                                </p>
                            </div>
                        {% endif %}
                    {% endif %}
                </fieldset>
            {% endif %}

            {% if canEditMapHint %}
                <fieldset id="mapHint">
                    <h3>
                        <label for="r_mapHint" class="u-mb-0 weight--normal">
                            {{ 'map.hint'|trans }}*
                        </label>
                    </h3>
                    {% include '@DemosPlanCore/Extension/contextual_help.html.twig' with {
                        helpText: 'map.hint.edit.contextual.help'|trans,
                        cssClasses:'o-tooltip--question-circle float-right u-mt-0_5'
                    } %}
                    <p class="lbl__hint">
                        {{ 'map.hint.edit.explanation'|trans }}
                    </p>
                    <p class="lbl__hint u-mb-0_75">
                        {{ 'map.hint.warning.tooshort'|trans({ minLength: 50, maxLength: 2000 }) }} {{ 'map.hint.set.to.default'|trans }}
                    </p>
                    <textarea id="r_mapHint" name="r_mapHint" class="o-form__control-textarea u-p-0_5" required minlength="50" maxlength="2000">{{ templateVars.procedure.settings.mapHint|default(templateVars.procedure.procedureUiDefinition.mapHintDefault) }}</textarea>
                </fieldset>
            {% endif %}

            <div class="text-right space-inline-s">
                <input
                    class="btn btn--primary"
                    type="submit"
                    data-cy="saveButton"
                    value="{{ "save"|trans }}">
                <input
                    class="btn btn--primary"
                    type="submit"
                    name="submit_item_return_button"
                    data-cy="saveAndReturn"
                    value="{{ "save.and.return.to.list"|trans }}">
                {% if canEditMapHint %}
                    <input class="btn btn--secondary" type="submit" data-skip-validation name="reset_map_hint" value="{{ "map.hint.use.default"|trans }}">
                {% endif %}
            </div>

        </form>
    {% endif %}

    {# gislayer settings #}
    <form method="post" action="{{ path('DemosPlan_map_administration_gislayer',{'procedureId':procedure}) }}" name="gisLayerForm">
        <input type="hidden" name="manualsort" value="">

        <fieldset class="layout--flush" id="gislayers">

            <div class="layout__item u-1-of-4">
                <legend>
                    {{ "gislayer"|trans }}
                </legend>

            </div><!--
         --><div class="layout__item u-3-of-4 text-right">

                <dp-split-button>
                    <a
                        :class="{'has-dropdown':hasPermission('feature_map_category')}"
                        class="btn btn--primary"
                        data-cy="createNewGisLayer"
                        href="{{ path('DemosPlan_map_administration_gislayer_new',{'procedure':procedure}) }}">
                        {{ "gislayer.create"|trans }}
                    </a><!--
                 --><template
                        v-slot:dropdown
                        v-if="hasPermission('feature_map_category')">
                        <a href="{{ path('DemosPlan_map_administration_gislayer_category_new',{'procedureId':procedure}) }}">
                            {{ "maplayer.category.new"|trans }}
                        </a>
                    </template>
                </dp-split-button>

            </div>

            <dp-admin-layer-list
                class="width-100p u-mt"
                procedure-id="{{ templateVars.procedure.id|default('nö') }}"
            ></dp-admin-layer-list>
        </fieldset>
    </form>

{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ webpackBundle('map-mapAdminGislayerList.js') }}
{% endblock javascripts %}



